Page MenuHomeVyOS Platform

Use kernel mode L2TP in xl2tpd
Closed, ResolvedPublicBUG

Description

In 1.2.x we utilized xl2tpd version 1.3.6+dfsg-2-vyos0 and it does not support kernel space

Oct  2 18:43:59 vyos xl2tpd[2339]: This binary does not support kernel L2TP.

When I build and install the package from https://github.com/xelerance/xl2tpd
It seems that it begins to use kernel modules

Oct  2 18:46:45 vyos xl2tpd[3053]: xl2tpd version xl2tpd-1.3.15 started on vyos PID:3053
Oct  2 18:46:45 vyos xl2tpd[3053]: Written by Mark Spencer, Copyright (C) 1998, Adtran, Inc.
Oct  2 18:46:45 vyos xl2tpd[3053]: Forked by Scott Balmos and David Stipp, (C) 2001
Oct  2 18:46:45 vyos xl2tpd[3053]: Inherited by Jeff McAdams, (C) 2002
Oct  2 18:46:45 vyos xl2tpd[3053]: Forked again by Xelerance (www.xelerance.com) (C) 2006-2016
Oct  2 18:46:45 vyos xl2tpd[3053]: Listening on IP address 0.0.0.0, port 1701


vyos@vyos#      lsmod | grep l2tp
l2tp_ppp               24576  0 
l2tp_netlink           20480  1 l2tp_ppp
l2tp_core              24576  2 l2tp_ppp,l2tp_netlink
ip6_udp_tunnel         12288  1 l2tp_core
udp_tunnel             12288  1 l2tp_core
pppox                  12288  1 l2tp_ppp
ppp_generic            36864  2 pppox,l2tp_ppp

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.6-S1
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Note: New xl2tpd package does not work with the followings params in options.xl2tpd

crtscts
lock

In log, we can see the output

In file /etc/ppp/options.xl2tpd: unrecognized option 'crtscts'
...
In file /etc/ppp/options.xl2tpd: unrecognized option 'lock'
Dmitry triaged this task as Normal priority.Feb 7 2021, 9:15 PM
Dmitry changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
Dmitry changed the task status from Open to Needs testing.Feb 8 2021, 10:25 AM
Dmitry edited projects, added VyOS 1.2 Crux (VyOS 1.2.7); removed VyOS 1.2 Crux.
dmbaturin renamed this task from xl2tp does not use kernel modules to Use kernel mode L2TP in xl2tpd.Feb 11 2021, 2:25 PM
dmbaturin closed this task as Resolved.
dmbaturin assigned this task to Dmitry.